package cn.reghao.tnb.user.app.model.vo;

import cn.reghao.tnb.user.app.model.constant.VipMember;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author reghao
 * @date 2024-07-06 12:16:48
 */
@NoArgsConstructor
@Getter
public class VipPlan {
    private Integer planId;
    private String name;
    private Double price;
    private Integer duration;

    public VipPlan(VipMember vipMember) {
        this.planId = vipMember.getPlanId();
        this.name = vipMember.getName();
        this.price = vipMember.getPrice();
        this.duration = vipMember.getDuration();
    }
}
